Crystal Space: iGenMeshSkeletonControlState Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGenMeshSkeletonControlState Struct Reference
[Mesh plugins]

This interface describes the API for setting up the skeleton animation control as implemented by the 'gmeshskelanim' plugin. More...

`#include <imesh/gmeshskel2.h>`

Inheritance diagram for iGenMeshSkeletonControlState:

[legend]
List of all members.

## Public Member Functions
virtual csVector3 * | GetAnimatedFaceNormals ()=0
| Get animated face normals.
virtual int | GetAnimatedFaceNormalsCount ()=0
| Get animated face normals count.
virtual csVector3 * | GetAnimatedVertices ()=0
| Get animated vertices.
virtual int | GetAnimatedVerticesCount ()=0
| Get animated vertices count.
virtual csVector3 * | GetAnimatedVertNormals ()=0
| Get animated vertices normals.
virtual int | GetAnimatedVertNormalsCount ()=0
| Get animated vertices normals count.

## Detailed Description

This interface describes the API for setting up the skeleton animation control as implemented by the 'gmeshskelanim' plugin.

The objects that implement iGenMeshSkeletonControlState also implement this interface.

Definition at line 45 of file gmeshskel2.h.

## Member Function Documentation

virtual csVector3* iGenMeshSkeletonControlState::GetAnimatedFaceNormals | ( |  | ) | `[pure virtual]`

Get animated face normals.

virtual int iGenMeshSkeletonControlState::GetAnimatedFaceNormalsCount | ( |  | ) | `[pure virtual]`

Get animated face normals count.

virtual csVector3* iGenMeshSkeletonControlState::GetAnimatedVertices | ( |  | ) | `[pure virtual]`

Get animated vertices.

virtual int iGenMeshSkeletonControlState::GetAnimatedVerticesCount | ( |  | ) | `[pure virtual]`

Get animated vertices count.

virtual csVector3* iGenMeshSkeletonControlState::GetAnimatedVertNormals | ( |  | ) | `[pure virtual]`

Get animated vertices normals.

virtual int iGenMeshSkeletonControlState::GetAnimatedVertNormalsCount | ( |  | ) | `[pure virtual]`

Get animated vertices normals count.

The documentation for this struct was generated from the following file:

- imesh/gmeshskel2.h